# frozen_string_literal: true

require 'openssl'

module Anchor
  def self.add_cert(pem)
    (@certs ||= []) << OpenSSL::X509::Certificate.new(pem)
  end

  def self.cert_store
    @ssl_cert_store ||= OpenSSL::X509::Store.new.tap do |store|
      (@certs || []).each do |cert|
        store.add_cert(cert)
      end
    end
  end
end
